Bug 153013 - [NEW PORT] devel/bzr-upload
Summary: [NEW PORT] devel/bzr-upload
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-11 01:10 UTC by Carlo Strub
Modified: 2010-12-21 16:02 UTC (History)
0 users

See Also:


Attachments
file.shar (3.16 KB, text/plain)
2010-12-11 01:10 UTC, Carlo Strub
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlo Strub freebsd_committer 2010-12-11 01:10:07 UTC
Bzr plugin to incrementally upload changes to a dumb server.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-12-11 01:17:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

glarkin@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Greg Larkin freebsd_committer 2010-12-13 18:48:28 UTC
State Changed
From-To: open->analyzed

Waiting for feedback.
Comment 3 dfilter service freebsd_committer 2010-12-20 22:37:23 UTC
glarkin     2010-12-20 22:37:17 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/bzr-upload     Makefile distinfo pkg-descr pkg-plist 
  Log:
  Web sites are often hosted on servers where bzr can't be installed.
  In other cases, the web site must not give access to its corresponding
  branch (for security reasons for example). Finally, web hosting
  providers often provides only ftp access to upload sites.
  
  This plugin uploads only the relevant changes in your working tree
  since the last upload using ftp or sftp protocols.
  
  WWW: http://wiki.bazaar.canonical.com/BazaarUploadForWebDev
  
  PR:             ports/153013
  Submitted by:   Carlo Strub <c-s at c-s.li>
  
  Revision  Changes    Path
  1.4177    +1 -0      ports/devel/Makefile
  1.1       +28 -0     ports/devel/bzr-upload/Makefile (new)
  1.1       +2 -0      ports/devel/bzr-upload/distinfo (new)
  1.1       +9 -0      ports/devel/bzr-upload/pkg-descr (new)
  1.1       +19 -0     ports/devel/bzr-upload/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Greg Larkin freebsd_committer 2010-12-21 16:02:26 UTC
State Changed
From-To: analyzed->closed

Committed, thank you!